CommerceMlParser = require './parser'
_ = require 'underscore'

class ImportParser extends CommerceMlParser
	getCollectRules : ->
		return {
			commercialInfo :
				start : ['КоммерческаяИнформация']

			classifier :
				start : ['КоммерческаяИнформация', 'Классификатор']
				include : [
					['КоммерческаяИнформация', 'Классификатор', 'Ид'],
					['КоммерческаяИнформация', 'Классификатор', 'Наименование'],
					['КоммерческаяИнформация', 'Классификатор', 'Владелец']
				]

			classifierGroup :
				start : ['КоммерческаяИнформация', 'Классификатор', 'Группы', 'Группа']
				include : [
					['КоммерческаяИнформация', 'Классификатор', 'Группы', 'Группа']
				]

			classifierProperty :
				start : ['КоммерческаяИнформация', 'Классификатор', 'Свойства', 'Свойство']
				include : [
					['КоммерческаяИнформация', 'Классификатор', 'Свойства', 'Свойство']
				]

			catalog :
				start : ['КоммерческаяИнформация', 'Каталог']
				include : [
					['КоммерческаяИнформация', 'Каталог', 'Ид']
					['КоммерческаяИнформация', 'Каталог', 'ИдКлассификатора']
					['КоммерческаяИнформация', 'Каталог', 'Наименование']
					['КоммерческаяИнформация', 'Каталог', 'Владелец']
				]

			product :
				start : ['КоммерческаяИнформация', 'Каталог', 'Товары', 'Товар']
				include : [
					['КоммерческаяИнформация', 'Каталог', 'Товары', 'Товар']
				]
		}

module.exports = ImportParser